#
# spec file for package liboil (Version 0.3.9)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpm grep groff gtkdoc gzip info insserv iso_ent klogd less libacl libattr libcom_err libgcc41 libgcrypt libgpg-error libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libxml2 libxslt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client opensp openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed sgml-skel strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           liboil
BuildRequires:  glib2-devel gtkdoc sgml-skel
Version:        0.3.9
Release:        15.3
URL:            http://liboil.freedesktop.org/wiki/
Group:          System/Libraries
License:        Other uncritical OpenSource License
Summary:        Library of Optimized Inner Loops
Source:         %{name}-%{version}.tar.bz2
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch1:         s390.patch
Patch2:         liboil-random-data-warning.patch
Patch3:         liboil-disable-sse.patch

%description
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to floating-point
numbers or multiplying and summing an array of N numbers. Such
functions are candidates for significant optimization using various
techniques, especially by using extended instructions provided by
modern CPUs (Altivec, MMX, SSE, etc.).

Many multimedia applications and libraries already do similar things
internally. The goal of this project is to consolidate some of the code
used by various multimedia projects and also make optimizations easier
to use by a broader range of applications.



Authors:
--------
    David Schleef <ds@schleef.org>

%debug_package
%package devel
Group:          System/Libraries
Summary:        Library of Optimized Inner Loops
Requires:       %{name} = %{version} glibc-devel

%description devel
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to floating-point
numbers or multiplying and summing an array of N numbers. Such
functions are candidates for significant optimization using various
techniques, especially by using extended instructions provided by
modern CPUs (Altivec, MMX, SSE, etc.).

Many multimedia applications and libraries already do similar things
internally. The goal of this project is to consolidate some of the code
used by various multimedia projects, and also make optimizations easier
to use by a broader range of applications.



Authors:
--------
    David Schleef <ds@schleef.org>

%package doc
Group:          System/Libraries
Summary:        Library of Optimized Inner Loops
Requires:       gnome-filesystem

%description doc
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to floating-point
numbers or multiplying and summing an array of N numbers. Such
functions are candidates for significant optimization using various
techniques, especially by using extended instructions provided by
modern CPUs (Altivec, MMX, SSE, etc.).

Many multimedia applications and libraries already do similar things
internally. The goal of this project is to consolidate some of the code
used by various multimedia projects, and also make optimizations easier
to use by a broader range of applications.



Authors:
--------
    David Schleef <ds@schleef.org>

%prep
%setup
#%patch1
%patch2
%patch3 

%build
autoreconf
export CFLAGS="$RPM_OPT_FLAGS"
./configure\
	--prefix=/opt/gnome\
	--libdir=/opt/gnome/%{_lib}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/opt/gnome/%{_lib}/*.so.*

%files devel
%defattr (-, root, root)
/opt/gnome/%{_lib}/*.so
/opt/gnome/%{_lib}/*.*a
/opt/gnome/%{_lib}/pkgconfig/*.pc
/opt/gnome/include/liboil-*
/opt/gnome/bin/oil-bugreport

%files doc
%defattr (-, root, root)
/opt/gnome/share/gtk-doc/html/liboil

%changelog
* Mon Dec 18 2006 - abockover@suse.de
- Disable SSE support altogether (BNC #214051, SwampID #7370)
* Fri Sep 22 2006 - jhargadon@suse.de
- update to version 0.3.9
- Fix a mistake in the fast path.
- liboil/sse/multsum_sse.c: disable broken impl
- Change movsx opcodes to something more AT&T-like
- Wrap a bunch of functions in HAVE_UNALIGNED_ACCESS to fix alignment
  issues
* Mon Feb 06 2006 - rguenther@suse.de
- Use =Q constraint for s390 STCK instruction.  Fixes build on
  s390 and s390x.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 03 2006 - sbrabec@suse.cz
- New SuSE package, version 0.3.6.
